# org-clock-waybar – Export the currently clocked-in task to be displayed on Waybar

## Installation

Put `org-clock-waybar.el` somewhere in your `load-path`, and `(require 'org-clock-waybar)`.

MELPA version may come soon.

You can set the file to be written by customizing `org-clock-waybar-filename`; it defaults to `$XDG_CACHE_HOME/waybar-current-task.json` (`$XDG_CACHE_HOME` defaults to `$HOME/.cache` on XDG compatible systems, like Linux.)

## Waybar configuration

To add the current task to Waybar, add this snippet to your config:

```
"custom/org": {
  "format": " {}",
  "return-type": "json",
  "restart-interval": 5,
  "exec": "cat /home/yourusername/.cache/waybar-current-task.json"
}
```

Then, add `custom/org` to `modules-left`/`modules-center`/`module-right` if your bar’s configuration.  You can find a minimal working configuration in the [`examples`](./examples) directory.
